Bug 40010 - Build fails with telepathy-glib from master
Summary: Build fails with telepathy-glib from master
Status: RESOLVED FIXED
Alias: None
Product: Ytstenut
Classification: Unclassified
Component: ytstenut-glib (show other bugs)
Version: unspecified
Hardware: Other All
: medium normal
Assignee: Robert Staudinger
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-08-11 06:31 UTC by Stef Walter
Modified: 2011-11-22 09:47 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
Temporary patch: ignore deprecations (660 bytes, patch)
2011-08-11 06:37 UTC, Stef Walter
Details | Splinter Review

Description Stef Walter 2011-08-11 06:31:48 UTC
This is what happens:

client.c: In function 'tp_yts_client_constructed':
client.c:137:3: error: 'tp_base_client_set_channel_factory' is deprecated (declared at /data/build/telepathy/include/telepathy-1.0/telepathy-glib/base-client.h:157) [-Werror=deprecated-declarations]
client.c: In function 'tp_yts_client_request_channel_async':
client.c:670:3: error: 'tp_account_channel_request_set_channel_factory' is deprecated (declared at /data/build/telepathy/include/telepathy-1.0/telepathy-glib/account-channel-request.h:75) [-Werror=deprecated-declarations]
Comment 1 Stef Walter 2011-08-11 06:37:05 UTC
Xavier, do you know how we should fix this?
Comment 2 Stef Walter 2011-08-11 06:37:33 UTC
Created attachment 50126 [details] [review]
Temporary patch: ignore deprecations
Comment 3 Xavier Claessens 2011-08-13 06:22:08 UTC
you can use tp_simple_client_factory_add_channel_features on your TpAccoutManager's factory instead.
Comment 4 Will Thompson 2011-11-22 09:47:59 UTC
Jonny fixed this in <http://cgit.freedesktop.org/ytstenut/telepathy-ytstenut/commit/?id=4879bac>.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.